using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace _0001 {
 public partial class Default : System.Web.UI.Page {
  protected void Page_Load(object sender, EventArgs e) {
   //создаем экземпляр класса, который имеет часть названия Context
   //в нашем примере это zzzModel.Context.cs
   var context = new zzzEntities();

   //вывод данных
   foreach(var i in context.Books) {
    Label1.Text += i.Name.ToString() + " " + i.Amount.ToString() + " " + Convert.ToString(string.Format("{0:f2}", i.Price)) + "<br />";
   }

   //объединение и вывод данных двух таблиц
   var query = 
   from val1 in context.Books
   join val2 in context.Authors on val1.IDAuthor equals val2.IDAuthor
   select new { nameBook = val1.Name, nameAuthor = val2.Name, amount = val1.Amount, price = val1.Price }; 
   foreach(var i in query) {
    Label2.Text += i.nameBook.ToString() + " " + i.nameAuthor.ToString() + " " + i.amount.ToString() + " " + Convert.ToString(string.Format("{0:f2}", i.price)) + "<br />";
   }
  }
 }
}